Bug 986178 - [abrt] ibus-typing-booster-1.2.1-1.fc19: pkginstall.py:49:__init__:AttributeError: 'module' object has no attribute 'GError'
[abrt] ibus-typing-booster-1.2.1-1.fc19: pkginstall.py:49:__init__:AttributeE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike FABIAN
Fedora Extras Quality Assurance
abrt_hash:a0aad3ed393d4f07f96534f54df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 02:58 EDT by Satyendra Singh
Modified: 2013-08-20 20:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-typing-booster-1.2.3-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-20 20:07:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (685 bytes, text/plain)
2013-07-19 02:58 EDT, Satyendra Singh
no flags Details
File: core_backtrace (228 bytes, text/plain)
2013-07-19 02:58 EDT, Satyendra Singh
no flags Details
File: environ (1.38 KB, text/plain)
2013-07-19 02:58 EDT, Satyendra Singh
no flags Details

  None (edit)
Description Satyendra Singh 2013-07-19 02:58:12 EDT
Description of problem:
just started ibus in gnome

Version-Release number of selected component:
ibus-typing-booster-1.2.1-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/share/ibus-typing-booster/setup/main.py
executable:     /usr/share/ibus-typing-booster/setup/main.py
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
pkginstall.py:49:__init__:AttributeError: 'module' object has no attribute 'GError'

Traceback (most recent call last):
  File "/usr/share/ibus-typing-booster/setup/main.py", line 227, in onInstallDictionaryClicked
    InstallPkg(SetupUi.hunspell_dict_package)
  File "/usr/share/ibus-typing-booster/setup/pkginstall.py", line 49, in __init__
    except gi._glib.GError as e:
AttributeError: 'module' object has no attribute 'GError'

Local variables in innermost frame:
bus_type: <enum G_BUS_TYPE_SESSION of type GBusType>
self: <pkginstall.InstallPkg object at 0x13920d0>
flags: 0
proxy: <DBusProxy object at 0x1387730 (GDBusProxy at 0x166dd60)>
iface_info: None
pkg: u'hunspell-hi'
Comment 1 Satyendra Singh 2013-07-19 02:58:18 EDT
Created attachment 775652 [details]
File: backtrace
Comment 2 Satyendra Singh 2013-07-19 02:58:23 EDT
Created attachment 775653 [details]
File: core_backtrace
Comment 3 Satyendra Singh 2013-07-19 02:58:27 EDT
Created attachment 775654 [details]
File: environ
Comment 4 Fedora Update System 2013-08-07 05:01:51 EDT
ibus-typing-booster-1.2.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-typing-booster-1.2.3-2.fc19
Comment 5 Fedora Update System 2013-08-07 05:02:46 EDT
ibus-typing-booster-1.2.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-1.2.3-2.fc18
Comment 6 Fedora Update System 2013-08-07 19:10:36 EDT
Package ibus-typing-booster-1.2.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-typing-booster-1.2.3-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14432/ibus-typing-booster-1.2.3-2.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-20 20:07:57 EDT
ibus-typing-booster-1.2.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-20 20:13:27 EDT
ibus-typing-booster-1.2.3-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.